List webhook endpoints

​

Required scope: webhooks-read

Lists all of your webhook endpoints.

Webhook endpoints belong to the requesting user and receive events from the chats they are a member of (messages, members joining, leaving or changing role, and changes to the chat itself), plus presence events (user.online, user.offline) for the users in their organization. Managing webhook endpoints requires the admin role and integrations enabled for the organization.

Possible Errors

See errors for more information.

  • WEBHOOKS_UNAVAILABLE - Webhooks are temporarily unavailable. Retry the request later.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/users/me/webhooks
curl https://api.pronto.io/api/users/me/webhooks \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "ep_2mMHzZFCBWyZkWWZq9nOhkPT8P4",
      "url": "https://example.com/webhook",
      "description": "",
      "event_types": [
        "message.created"
      ],
      "tags": [
        "chat_12345"
      ],
      "disabled": false,
      "created_at": "2026-10-28T21:07:37.170Z",
      "updated_at": "2026-10-28T21:07:37.170Z"
    }
  ]
}